Dada2 Error Code 9

Thank you very much! I have carefully examined the forward and reverse sequence files, which is exactly what you said. Thank you for your guidance! After I corrected and rerun, I encountered the following problems:

Running external command line application(s). This may print messages to stdout and/or stderr.

The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpleij8bax/forward /tmp/tmpleij8bax/reverse /tmp/tmpleij8bax/output.tsv.biom /tmp/tmpleij8bax/track.tsv /tmp/tmpleij8bax/filt_f /tmp/tmpleij8bax/filt_r 0 0 23 26 2.0 2.0 2 consensus 1.0 8 1000000

R version 3.5.1 (2018-07-02)

Loading required package: Rcpp

DADA2: 1.10.0 / Rcpp: 1.0.2 / RcppParallel: 4.4.3

  1. Filtering …

  2. Learning Error Rates

256591361 total bases in 1043204 reads from 16 samples will be used for learning the error rates.

253821236 total bases in 1043204 reads from 16 samples will be used for learning the error rates.

  1. Denoise remaining samples …Duplicate sequences in merged output.

…Duplicate sequences in merged output.

…Duplicate sequences in merged output.

…Duplicate sequences in merged output.

…Duplicate sequences in merged output.

…Duplicate sequences in merged output.

.Duplicate sequences in merged output.

.Duplicate sequences in merged output.

…Duplicate sequences in merged output.

…Duplicate sequences in merged output.

…Duplicate sequences in merged output.

…Duplicate sequences in merged output.

…Duplicate sequences in merged output.

…Duplicate sequences in merged output.

…Duplicate sequences in merged output.

.Duplicate sequences in merged output.

…Traceback (most recent call last):

File “/home/hef/miniconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 234, in denoise_paired

run_commands([cmd])

File “/home/hef/miniconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands

subprocess.run(cmd, check=True)

File “/home/hef/miniconda3/envs/qiime2-2019.7/lib/python3.6/subprocess.py”, line 418, in run

output=stdout, stderr=stderr)

subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpleij8bax/forward’, ‘/tmp/tmpleij8bax/reverse’, ‘/tmp/tmpleij8bax/output.tsv.biom’, ‘/tmp/tmpleij8bax/track.tsv’, ‘/tmp/tmpleij8bax/filt_f’, ‘/tmp/tmpleij8bax/filt_r’, ‘0’, ‘0’, ‘23’, ‘26’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘8’, ‘1000000’]’ died with <Signals.SIGKILL: 9> .

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File “/home/hef/miniconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/q2cli/commands.py”, line 327, in call

results = action(**arguments)

File “</home/hef/miniconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/decorator.py:decorator-gen-459>”, line 2, in denoise_paired

File “/home/hef/miniconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable

output_types, provenance)

File “/home/hef/miniconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor

output_views = self._callable(**view_args)

File “/home/hef/miniconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 249, in denoise_paired

" and stderr to learn more." % e.returncode)

Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code -9) , please inspect stdout and stderr to learn more.

See above for debug info.

Is this because of insufficient memory? I hope to get your guidance again. Thank you!

Thanks for posting your full error code.

As you have identified, you got a -9 error when running dada2.

It could be. I could also be that dada2 used up all the memory, and then another process or user canceled / terminated / ‘killed’ the dada2 job. (The -9 error means that the process was ‘killed’ or canceled by something on the linux system.)

It sounds like you are already thinking about memory usage, and if you have enough RAM.

How long was this job running? Is there something in your HPC queue that limites jobs to a maximum run time?

Colin